{% extends 'base.html.twig' %}
{% block title %}Liste des dossiers {% endblock %}
{% block sidebar %}{% endblock %}
{% block body %}
    {#{ dump(patients) }#}
    <ul class="nav nav-tabs  header-dossier " >



        <h1 class="">

           &nbsp;&nbsp;&nbsp;   LISTE DES DOSSIERS

        </h1>




    </ul>
    <div class="page-header">













        <div class="alert alert-block alert-info ">
            <br/>

            <center>    <h4 style="text-transform: uppercase; padding-left: 1px;padding-top: 1px;">
                    UTILISATEUR DU COMPTE  :    <span class='header-patient-text-header'> {{ins.admission.preinscription.etudiant.nom}} {{ins.admission.preinscription.etudiant.prenom}} </span>
                </h4> </center>	




            <br/>
        </div>



    </div>


    {% for flash_message in app.session.flashBag.get('notice') %}
        <div class="alert alert-block alert-success message_flash">
            <button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>{{ flash_message }}</p>
        </div>
    {% endfor %}
    {% for flash_message in app.session.flashBag.get('error') %}
        <div class="alert alert-block alert-danger message_flash">
            <button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>{{ flash_message }}</p>
        </div>
    {% endfor %}
    <div class="alert alert-block alert-success message_flash_success" style="display: none;">

    </div>
    <div class="alert alert-block alert-danger message_flash_error" style="display: none;">

    </div>
    <div class="alert alert-block alert-info message_flash_info" style="display: none;">

    </div>
    <div align="right" style="margin-right: 15px">

        <a href="{{ path('patient_new') }}" class="btn btn-warning btn-warning btn-bold">
            <i class="ace-icon fa fa-pencil bigger-120"></i>
            Créer un nouveau dossier
        </a>

    </div>
    <br/>
    <div class="row">
        <div class="col-xs-12">

            <table id="grid" class="display  table  table-bordered table-hover table_lower" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th><center>numéro</center></th>
                        <th><center>Designation</center></th>
                        <th><center>TYPOLOGIE</center></th>
                        <th><center>Categorie</center></th>

                        {#                        <th class="param-table-txt">Modifier</th>#}
                        <th class="param-table-txt"><center>Consulter</center></th>
                          <th class="param-table-txt"><center>Modifier</center></th>
                          <th class="param-table-txt"><center>Verouiller</center></th>
                       
                        <th class="param-table-txt"><center>Imprimer</center></th>
                         <th class="param-table-txt"><center>Supprimer</center></th>
                        
                      



                    </tr>
                </thead>
            </table>


        </div>


        <div class="objectifniv"></div>



    </div>


{% endblock %}
{% block javascripts %}
    {{ parent() }}

    <script>


        document.addEventListener("DOMContentLoaded", function (event) {
            $('#grid').show(500);
        });


        var dataTable = $('#grid').DataTable({
            "iDisplayLength": 10,
            "lengthMenu": [[10, 15, 25, 50, 100, 200, 20000000], [10, 15, 25, 50, 100, 200, "All"]],
            "order": [[0, "asc"]],
            "columnDefs": [
                {"orderable": false, "targets": 1}
            ],
            "language": {
                "url": "{{asset('assets/js/jquery.dataTablesFrench.json') }}",
                "processing": true
            },
            "serverSide": false,
            "ajax": {
                url: Routing.generate('patient_list'), // json datasource
                type: "get"

            }
        });






        $('#grid').on('click', '.delete_action', function (event) {
            //     $('.delete_action').click(function (event) {
            var id = $(this).attr('rel');
            //alert(id);
            bootbox.confirm({
                title: "Confirmation",
                message: "<h5>Souhaitez-vous supprimer cet enregistrement?</h5>",
                buttons: {
                    cancel: {
                        label: '<i class="fa fa-times"></i> Annuler'
                    },
                    confirm: {
                        label: '<i class="fa fa-check"></i> Oui'
                    }
                },
                callback: function (confirmation) {
                    if (confirmation == true) {
                        $(".message_flash_success").hide();
                        $(".message_flash_info").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> veuillez patienter traitement en cours...</p>");
                        $.ajax({
                            url: Routing.generate('patient_delete', {id: id}),
                            success: function (result) {
                                var parsed = jQuery.parseJSON(result);

                                if (parsed.e == '2') {
                                    $(".message_flash_error").hide();
                                    $(".message_flash_info").hide();
                                    $(".message_flash_success").show().html("<button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>");
                                    dataTable.ajax.reload();
                                } else {
                                    $(".message_flash_success").hide();
                                    $(".message_flash_info").hide();
                                    $(".message_flash_error").show().html("<button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>");
                                    dataTable.ajax.reload();
                                }
                            }


                        });


                    }
                }
            });


            event.preventDefault();
        });
        $('#grid').on('click', '.disable_action', function (event) {

            //  $('.active_enseignant').click(function (event) {
            //  alert($(this).attr('rel'));


            var id = $(this).attr('rel');
            var etat = $(this).attr('href');
            var text = "";
            if (etat == 1) {
                text = "désactiver";

            } else {
                etat = 0;
                text = "activer";
            }





            bootbox.confirm({
                title: "Confirmation",
                message: "<h5>Souhaitez-vous " + text + " ce dossier ? </h5>",
                buttons: {
                    cancel: {
                        label: '<i class="fa fa-times"></i> Annuler'
                    },
                    confirm: {
                        label: '<i class="fa fa-check"></i> Oui'
                    }
                },
                callback: function (confirmation) {


                    $(".message_flash_success").hide();
                    $(".message_flash_info").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> veuillez patienter traitement en cours...</p>");
                    if (confirmation == true) {
                        $.ajax({
                            url: Routing.generate('patient_disable', {id: id, etat: etat}),
                            success: function (result) {
                                var parsed = jQuery.parseJSON(result);
                                $(".message_flash_info").hide();
                                $(".message_flash_success").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>");
                                dataTable.ajax.reload();

                            }


                        });


                    }
                }
            });


            event.preventDefault();
        });
        
        
        
          $('#grid').on('click', '.modif_action', function (event) {

            //  $('.active_enseignant').click(function (event) {
            //  alert($(this).attr('href1'));


            var id = $(this).attr('rel1');
            var etat = $(this).attr('href1');
            
            if (etat==0){
                bootbox.alert("<h5>Merci de déverrouiller ce dossier pour activer la modification</h5>");
                } else {
                window.location.href = +id+"/edit2";
    
                
            }





          


            event.preventDefault();
        });




    </script>

{% endblock %}


